Package uk.ac.starlink.topcat

## Class NormaliseTable

- java.lang.Object
- - uk.ac.starlink.table.WrapperStarTable
  - - uk.ac.starlink.topcat.NormaliseTable

- All Implemented Interfaces:
    `uk.ac.starlink.table.StarTable`

      public class NormaliseTable
      extends uk.ac.starlink.table.WrapperStarTable

  Wrapper table which ensures that all its contents have sensible types. In particular, `Number`s are turned into `Double`s, and anything which looks weird is turned into a `String`.
  Since:
    24 May 2007
  Author:
    Mark Taylor

- - ### Field Summary

    - ### Fields inherited from class uk.ac.starlink.table.WrapperStarTable

      `baseTable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NormaliseTable​(uk.ac.starlink.table.StarTable base)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getCell​(long irow, int icol)` |
    `uk.ac.starlink.table.ColumnInfo` | `getColumnInfo​(int icol)` |
    `java.lang.Object[]` | `getRow​(long irow)` |
    `uk.ac.starlink.table.RowSequence` | `getRowSequence()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class uk.ac.starlink.table.WrapperStarTable

      `checkedLongToInt, getBaseTable, getColumnAuxDataInfos, getColumnCount, getName, getParameterByName, getParameters, getRowCount, getURL, isRandom, setName, setParameter, setURL, toString`

- - ### Constructor Detail

    - #### NormaliseTable

          public NormaliseTable​(uk.ac.starlink.table.StarTable base)

      Constructor.
      Parameters:
        `base` - base table

  - ### Method Detail

    - #### getColumnInfo

          public uk.ac.starlink.table.ColumnInfo getColumnInfo​(int icol)

      Specified by:
        `getColumnInfo` in interface `uk.ac.starlink.table.StarTable`
      Overrides:
        `getColumnInfo` in class `uk.ac.starlink.table.WrapperStarTable`

    - #### getCell

          public java.lang.Object getCell​(long irow,
                                          int icol)
                                   throws java.io.IOException

      Specified by:
        `getCell` in interface `uk.ac.starlink.table.StarTable`
      Overrides:
        `getCell` in class `uk.ac.starlink.table.WrapperStarTable`
      Throws:
        `java.io.IOException`

    - #### getRow

          public java.lang.Object[] getRow​(long irow)
                                    throws java.io.IOException

      Specified by:
        `getRow` in interface `uk.ac.starlink.table.StarTable`
      Overrides:
        `getRow` in class `uk.ac.starlink.table.WrapperStarTable`
      Throws:
        `java.io.IOException`

    - #### getRowSequence

          public uk.ac.starlink.table.RowSequence getRowSequence()
                                                          throws java.io.IOException

      Specified by:
        `getRowSequence` in interface `uk.ac.starlink.table.StarTable`
      Overrides:
        `getRowSequence` in class `uk.ac.starlink.table.WrapperStarTable`
      Throws:
        `java.io.IOException`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.